Problems with pppd and kernel > 1.2.13

Problems with pppd and kernel > 1.2.13

Post by Thomas Zenke » Wed, 08 Jan 1997 04:00:00



I installed slackware 3.0 with kernel 1.2.13 and it worked quite good.
Even Internet access is fine. Now I got the 2.0.0 kernel, I compiled it
and everything works but pppd doesn't.
When I try to start pppd I always get:
Sorry, PPP is not available on this system.
I downloadede kernel 2.0.5 but it's the same story. Everything works but
not pppd.
When I reboot with kernel 1.2.13, pppd works out alright.
the pppd version is 2.2.0
I start it as root.
The permissons for pppd are -rws--r--r (I didn't change them)
Can someone please help me? BTW, I found nothing in the FAQ, README.
Please help.
Thanks
Thomas
--
CUSTOMER: "I'm running Windows '95."
TECH:     "Yes."
CUSTOMER: "My computer isn't working now."
TECH:     "Yes, you already said that."

 
 
 

Problems with pppd and kernel > 1.2.13

Post by Rob Crittend » Wed, 08 Jan 1997 04:00:00




Quote:>I installed slackware 3.0 with kernel 1.2.13 and it worked quite good.
>Even Internet access is fine. Now I got the 2.0.0 kernel, I compiled it
>and everything works but pppd doesn't.
>When I try to start pppd I always get:
>Sorry, PPP is not available on this system.
>I downloadede kernel 2.0.5 but it's the same story. Everything works but
>not pppd.

See the Changes file that comes with your new kernel, its in the
linux/Documentation directory.

There are a LOT of things for you to upgrade including PPP, possibly your
libraries, proc ps (you'll note you get seg fault on ps aux), etc.

Rob
--
Rob Crittenden  Hughes STX                
NASA Goddard Space Flight Center


 
 
 

Problems with pppd and kernel > 1.2.13

Post by ma.. » Wed, 08 Jan 1997 04:00:00



>I installed slackware 3.0 with kernel 1.2.13 and it worked quite good.
>Even Internet access is fine. Now I got the 2.0.0 kernel, I compiled it
>and everything works but pppd doesn't.
>When I try to start pppd I always get:
>Sorry, PPP is not available on this system.

Funny about that, isn't it?  You said that you'd read the README and
FAQ, but you didn't check the Changes (I think) file.  In there it
says that PPP doesn't work with new driver/old daemon.  Upgrade your
PPP to 2.2.0f (or 2.3.0b3 - I use that, never had a problem yet)
FOLLOWING ALL INSTRUCTIONS TO THE LETTER - read that again, just to be
sure it's clear in your mind, and you'll have no hassles whatsoever.

Yes, you're running pppd 2.2.0.  Which one?  Have you made sure that
the kernel code is the same version as the daemon.  One more thing -
don't laugh at this - is PPP compiled into the new kernel?  It has
been known to happen (don't ask how I know; suffice it to say that my
Linux box very nearly went out the window until I noticed that it
wasn't saying PPP: etc on bootup  :-)  ).

Quote:>CUSTOMER: "I'm running Windows '95."
>TECH:     "Yes."
>CUSTOMER: "My computer isn't working now."
>TECH:     "Yes, you already said that."

hehehe.  I like it.  :-)

-----------------------------------------------------------------------

         Maddy  |
         ^^^    |  
----------------------------------------------------------------------
                                              E-mail me for my PGP key

 
 
 

1. strange problems 1.2.13 --> 2.0.0 --> 1.2.13

Hi,

I have some strange problems with the new kernel source tree...

after the installation of the new sysvinit-2.62 the linux-2.0.0 kernel
complains sh:/bin/bash cannot execute...
with 1.99.7 this works fine
and at least I'm totally unable to recompile the 1.2.13 source tree due
some strange asm errors in main occurring in asm/io.h referenced by
bugs.h  (also within the asm tree). Of course I checked the appropriate
links to for the linux source tree /usr/include/linux
                                                asm

Please help....
 Michael

-------------------------------------------------------------------------------
        Michael Rietz                   |       Office: 13

        Werner Heisenberg Institut      |       phone:+49-(0)89-32354-242,
        Foehringer Ring 6               |                             415,411
        D-80805 Muenchen                |       fax:    +49 (0)89 3226704
                                        |
                            is there anybody OUT there...
-------------------------------------------------------------------------------

2. Update Manager Registration

3. Problem with NCSA-Telnet and kernel > 1.2.13

4. IBM 580 (type 7013) supported ?

5. 1.2.13 -> 2.x.x Kernel and 2940 boot problems

6. linux fdisk & hard disk larger than 8.4G

7. pppd, kernel 1.2.13, and dial-up ISDN

8. service director: registering-problem

9. pppd 2.2.0 and kernel 1.2.13

10. Kernel 1.2.13: Files > 2MB via POP3 Brings Mail-Hub to its Knees

11. from kernel 1.2.13 ---> 2.0.0

12. Help: Upgrade kernel 1.2.13->2.0.21

13. Kernel upgrade [1.2.13 ==> 1.3.45] breaks PPP